<template>
  <v-dialog max-width="500" v-model="show">
    <template v-slot:activator="{ on, attrs }">
      <v-btn icon v-bind="attrs" v-on="on">
        <v-icon>mdi-help</v-icon>
      </v-btn>
    </template>
    <v-card>
      <v-card-title>
        Фонд
      </v-card-title>
      <v-card-text class="white--text">
        <p>
          С каждой вашей покупки мы откладываем 10% в фонд, который инвестируем
          в криптовалюты, облигации, акции. Так же в фонд поступают средства от
          частных инвесторов в нашу компанию, и его размер растет. Весь доход
          который приносит капитал из фонда, мы распределяем между всеми
          участниками платформы в соответствий с процентом вложений
        </p>
        <p>Фонд улучшается - скоро будет доступно:</p>
        <ul>
          <li>Вывод средств</li>
          <li>Пополнение фонда</li>
          <li>Просмотр вашей доли (%)</li>
          <li>Просмотр активов в которые распределены средства</li>
          <li>Просмотр общего баланса фонда</li>
        </ul>
      </v-card-text>
    </v-card>
  </v-dialog>
</template>
<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';

@Component({})
export default class FundHelpModal extends Vue {
  @Prop({
    required: false,
    default: () => false,
    type: Boolean
  })
  private readonly show!: boolean;
}
</script>

<style scoped></style>
